Class | Resolv::DNS::Requester::Sender
In: | resolv.rb
Parent: | Object

### Methods

new recv

### Attributes

queue | [R] |

### Public Class methods

new(msg, data, sock, queue)

[Source]

    # File resolv.rb, line 556
            def initialize(msg, data, sock, queue)
              @msg = msg
              @data = data
              @sock = sock
              @queue = queue
            end

### Public Instance methods

recv(msg)

[Source]

    # File resolv.rb, line 564
            def recv(msg)
              @queue.push([msg, @data])
            end

[Validate]